################################################################################
#
# \attention  This program is provided as is. You can redistribute it and/or
# modify it. Fujitsu Semiconductor Limited accepts no responsibility or
# liability for any errors or omissions.
#
# Copyright (C) 2008-2011 Fujitsu Semiconductor Limited, All Rights Reserved.
#

################################################################################
# defines
################################################################################

#!/bin/sh

  LN='/bin/ln -sf'
  MKDIR=/bin/mkdir
  PWD=/bin/pwd

  TOPDIR=.

  CNFGHDR_SRC_PATH=../../config

  FAPI_INC_PATH=../../../../../FAPI_V01L02R02/fapi_driver/fapicore/include
  FAPI_ENV_PATH=../../../../../FAPI_V01L02R02/fapi_driver/fapicore/env
  FAPI_COR_PATH=../../../../../FAPI_V01L02R02/fapi_driver/fapicore/core_drv

################################################################################
# set link symbols
################################################################################

# include file (fapi)
  ${LN} ${FAPI_INC_PATH} ${TOPDIR}/fapicore/
  ${LN} ${FAPI_ENV_PATH} ${TOPDIR}/fapicore/

# include file (wfe)
  ${LN} mb86h61_dk01/mb86h61_dk01.h   ${TOPDIR}/wfe/config/boards/
  ${LN} mb86h61_pdkv1/mb86h61_pdkv1.h ${TOPDIR}/wfe/config/boards/

  ${LN} ${CNFGHDR_SRC_PATH}/sys_config.h                ${TOPDIR}/wfe/include/fapex/
  ${LN} ${CNFGHDR_SRC_PATH}/sys_config_mb86h61_devkit.h ${TOPDIR}/wfe/include/fapex/

  ${LN} ./fapex_linux_stdhdr.h ${TOPDIR}/wfe/include/fapi_linux_stdhdr.h

# FAPI driver (fapi_core)
  ${LN} ${FAPI_COR_PATH} ${TOPDIR}/fapicore/

