/*
 *
 * \attention  This program is provided as is. You can redistribute it and/or
 * modify it. Fujitsu Semiconductor Limited accepts no responsibility or
 * liability for any errors or omissions.
 *
 * Copyright (C) 2008-2010 Fujitsu Semiconductor Limited, All Rights Reserved.
 */
/*
 FDL adc Decoder header file (private)
*/

#ifndef _FAPEX_FDLADC_PRIV_H
#define _FAPEX_FDLADC_PRIV_H

#include "asm/atomic.h"
#include "fapex/abst_libadc.h"

/*!
*************************************************************************
** \brief FDL ADC context structure
*************************************************************************/
typedef struct {
    int32_t id;             //!< id
    atomic_t used_count;     //!< used count
    void    *pCfdlHdl;      //!< The pointer to the CFDL context
    void    *pFAPICtxHdl;   //!< FAPI driver's context

} FAPEXFDL_ADC_StrT;

#endif /* !_FAPEX_FDLADC_PRIV_H */
