/*
 *
 * \attention  This program is provided as is. You can redistribute it and/or
 * modify it. Fujitsu Semiconductor Limited accepts no responsibility or
 * liability for any errors or omissions.
 *
 * Copyright (C) 2008-2010 Fujitsu Semiconductor Limited, All Rights Reserved.
 */
/*
 abstraction library header file (cfdl)
*/


#ifndef _FAPEX_CFDL_ADAPTER_H
#define _FAPEX_CFDL_ADAPTER_H

#ifndef _LINUX_FAPI
#include "fapex_types.h"

FAPEXOPENRET_T FAPEXSAL_Open(FAPEXOPENARG1_T id, FAPEXOPENARG2_T arg2);
FAPEXRELRET_T  FAPEXSAL_Release(FAPEXRELARG1_T id);
FAPEXREADRET_T FAPEXSAL_Read(FAPEXREADARG1_T id, FAPEXREADARG2_T pBuf, FAPEXREADARG3_T size);
FAPEXWRTRET_T  FAPEXSAL_Write(FAPEXWRTARG1_T id, FAPEXWRTARG2_T pBuf, FAPEXWRTARG3_T size);
FAPEXIOCRET_T  FAPEXSAL_Ioctl(FAPEXIOCARG1_T id, FAPEXIOCARG2_T cmd, FAPEXIOCARG3_T pArg);
FAPEXPLRET_T   FAPEXSAL_Poll(FAPEXPLARG1_T id, FAPEXPLARG2_T ptbl);
FAPEXMMPRET_T  FAPEXSAL_Mmap(FAPEXMMPARG1_T start, FAPEXMMPARG2_T length,
                             FAPEXMMPARG3_T prot,  FAPEXMMPARG4_T flags,
                             FAPEXMMPARG5_T id,    FAPEXMMPARG6_T offset);
#endif /* _LINUX_FAPI */

#endif /* !_FAPEX_CFDL_ADAPTER_H */

