/*
 *
 * \attention  This program is provided as is. You can redistribute it and/or
 * modify it. Fujitsu Semiconductor Limited accepts no responsibility or
 * liability for any errors or omissions.
 *
 * Copyright (C) 2008-2010 Fujitsu Semiconductor Limited, All Rights Reserved.
 */
/*
 fapi common header file
*/
#ifndef _FAPEX_LINUX_STD_H
#define _FAPEX_LINUX_STD_H

#include <linux/module.h>
#include <linux/init.h>

#include <linux/cdev.h>
#include <linux/fs.h>      /* file */
#include <linux/poll.h>    /* poll */
#include <linux/slab.h>    /* kmalloc */
#include <linux/ioport.h>  /* io memory */
#include <linux/kernel.h>  /* printk */
#include <linux/wait.h>    /* wait queue */
#include <linux/interrupt.h>   /* irq */
#include <linux/sched.h>   /* irq */
#include <linux/mm.h>      /* mmap */
#include <asm/siginfo.h>   /* poll flag */
#include <asm/io.h>        /* io memory */
#include <asm/signal.h>    /* signal */
#include <asm/uaccess.h>   /* copy user<->kernel */
#include <asm/page.h>      /* paddr<->vaddr */
#include <linux/semaphore.h> /* semaphore */
#include <linux/memory.h>
#include <linux/smp_lock.h>     /* lock_kernel */

#include <stdchar.h>

#include "fapi/reg4linux.h"

#include <asm/string.h>
//#define strlen(...) (0)  /* Do not joke!!  */ //shane changed

#ifndef __LINUX__
#define FAPIDebugPrint printf
#else /* !__LINUX__ */
#define FAPIDebugPrint printk

int64_t FAPI_DIV64(int64_t dividend, uint64_t divisor);
int64_t FAPI_ABS64(int64_t n);
#endif /* !__LINUX__ */


/* !!provisional definition!! */
#define CPU_Polling(...) \
    {     \
        ; \
    }
#define printf(...) \
    {     \
        ; \
    }

#endif /* !_FAPEX_LINUX_STD_H */
