/*
 *
 * \attention  This program is provided as is. You can redistribute it and/or
 * modify it. Fujitsu Semiconductor Limited accepts no responsibility or
 * liability for any errors or omissions.
 *
 * Copyright (C) 2008-2010 Fujitsu Semiconductor Limited, All Rights Reserved.
 */
/*
 FAPI common header file (private)
*/
#ifndef _FAPEX_COMMON_PRIV_H
#define _FAPEX_COMMON_PRIV_H

/* prototype */
int32_t FAPICORE_Init(void);
void    FAPICORE_Cleanup(void);

int32_t FAPISAF_InitSystemFunctions(void);
void    FAPISAF_CleanupSystemFunctions(void);

int32_t FAPEXCFDL_init(void);
void    FAPEXCFDL_cleanup(void);

int32_t FAPEXFDLTSD_init(void);
void    FAPEXFDLTSD_cleanup(void);

int32_t FAPEXFDLAUDEC_init(void);
void    FAPEXFDLAUDEC_cleanup(void);

int32_t FAPEXFDLAUOUT_init(void);
void    FAPEXFDLAUOUT_cleanup(void);

int32_t FAPEXFDLVIDEC_init(void);
void    FAPEXFDLVIDEC_cleanup(void);

int32_t FAPEXFDLVIENC_init(void);
void    FAPEXFDLVIENC_cleanup(void);

int32_t FAPEXFDLVIOUT_init(void);
void    FAPEXFDLVIOUT_cleanup(void);

int32_t FAPEXFDLHDMI_init(void);
void    FAPEXFDLHDMI_cleanup(void);

int32_t FAPEXFDLHDMICEC_init(void);
void    FAPEXFDLHDMICEC_cleanup(void);

int32_t FAPEXFDLTTX_init(void);
void    FAPEXFDLTTX_cleanup(void);

int32_t FAPEXFDLFPC_init(void);
void    FAPEXFDLFPC_cleanup(void);

int32_t FAPEXFDLIR_init(void);
void    FAPEXFDLIR_cleanup(void);

int32_t FAPEXFDLI2C_init(void);
void    FAPEXFDLI2C_cleanup(void);

int32_t FAPEXFDLICC_init(void);
void    FAPEXFDLICC_cleanup(void);

int32_t FAPEXFDLGPIO_init(void);
void    FAPEXFDLGPIO_cleanup(void);

int32_t FAPEXFDLCLKPWR_init(void);
void    FAPEXFDLCLKPWR_cleanup(void);

int32_t FAPEXFDLBOARDIFC_init(void);
void    FAPEXFDLBOARDIFC_cleanup(void);

int32_t FAPEXFDLFLASH_init(void);
void    FAPEXFDLFLASH_cleanup(void);

int32_t FAPEXFDLSSP_init(void);
void    FAPEXFDLSSP_cleanup(void);

int32_t FAPEXFDLADC_init(void);
void    FAPEXFDLADC_cleanup(void);

int32_t FAPEXFDLPV_init(void);
void    FAPEXFDLPV_cleanup(void);

int32_t FAPEXFDLBLTE_init(void);
void    FAPEXFDLBLTE_cleanup(void);

#endif /* !_FAPEX_COMMON_PRIV_H */
